<?php
// functions for links

//include any other modules as necessary

if( $modules["comments"] )
{
    include_once( "modules/comments/functions.php" );
}

//include any module functions for managing or displaying your data.
//Note that theme dependent GUI code should be in the theme directories.

function draw_html_cat($category_name, $category_descr)
{
    global $modules;
    $cols = 2;
    echo "<tr><td class=\"dlcat\" colspan=$cols>$category_name</td></tr>\n"
        ."<tr><td class=\"dlcatdescr\" colspan=$cols>$category_descr</td></tr>\n"
        ."<tr><td class=\"dlsubtitle\"><a href=\"html.php?ord=0\" class=\"dlsubtitle\">".HTML_HEADER_1."</a></td>";
    echo "<td class=\"dlsubtitle\" align=right><a href=\"html.php?ord=1\" class=\"dlsubtitle\">".HTML_HEADER_4."</a></td></tr>";
}

function draw_html_item($row)
{
    global $modules;
    $cols = 2;

    echo "<tr><td class=\"dlitem\"><a href=\"html.php?link={$row["id"]}\" class=\"dlitem\">{$row["name"]}</a></td>";

    echo "<td class=\"dlitem\" align=right>{$row["count"]}</td></tr>\n";
    if(!empty($row["short_description"])) echo "<tr><td class=\"dlitemdescr\" colspan=$cols>{$row["short_description"]}</td></tr>\n";
}

function draw_html_list( $dw_order )
{
    global $config;
    $ret = db_query("select * from {$config["prefix"]}_html order by category, $dw_order");
    $cat = -1;

   theme_draw_centerbox_open( HTML_TITLE, "100%", false );
    echo "<table width=\"100%\" border=2 cellpadding=4 cellspacing=1>";
    while( $row = db_fetch_array($ret) )
    {
        if( $row["category"]!=$cat )
        {
            $ret2 = db_query("select category,descr from {$config["prefix"]}_html_cat where cod='{$row["category"]}'");
            $cat_row = db_fetch_array($ret2);
            db_free_result($ret2);
            draw_html_cat($cat_row["category"],$cat_row["descr"]);
            $cat = $row["category"];
        }
        draw_html_item($row);
    }
    db_free_result($ret);
    //theme_draw_download_footer();
    echo "</table>";
    theme_draw_centerbox_close( false );
}

?>
